# PFTP Class Reference

File Transfer Protocol base class. More...

`#include <ftp.h>`

Inheritance diagram for PFTP:

List of all members.

## Public Types

| USER
| PASS
| ACCT
| CWD
| CDUP
| SMNT
| QUIT
| REIN
| PORT
| PASV
| TYPE
| STRU
| MODE
| RETR
| STOR
| STOU
| APPE
| ALLO
| REST
| RNFR
| RNTO
| ABOR
| DELE
| RMD
| MKD
| PWD
| LIST
| NLST
| SITE
| SYST
| STATcmd
| HELP
| NOOP
| NumCommands
| ASCII
| EBCDIC
| Image
| NormalPort
| Passive
| ShortNames
| DetailedNames
| DefaultPort = 21
enum | Commands { USER, PASS, ACCT, CWD, CDUP, SMNT, QUIT, REIN, PORT, PASV, TYPE, STRU, MODE, RETR, STOR, STOU, APPE, ALLO, REST, RNFR, RNTO, ABOR, DELE, RMD, MKD, PWD, LIST, NLST, SITE, SYST, STATcmd, HELP, NOOP, NumCommands }
| FTP commands. More...
enum | RepresentationType { ASCII, EBCDIC, Image }
| Types for file transfer. More...
enum | DataChannelType { NormalPort, Passive }
| File transfer mode on data channel. More...
enum | NameTypes { ShortNames, DetailedNames }
| Listing types. More...
enum | { DefaultPort = 21 }

## Public Member Functions

PBoolean | SendPORT (const PIPSocket::Address &addr, WORD port)
| Send the PORT command for a transfer.

## Protected Member Functions

| PFTP ()
| Construct an ineternal File Transfer Protocol channel.

## Detailed Description

File Transfer Protocol base class.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  DefaultPort |

enum PFTP::Commands

FTP commands.

Enumerator:

  USER |
  PASS |
  ACCT |
  CWD |
  CDUP |
  SMNT |
  QUIT |
  REIN |
  PORT |
  PASV |
  TYPE |
  STRU |
  MODE |
  RETR |
  STOR |
  STOU |
  APPE |
  ALLO |
  REST |
  RNFR |
  RNTO |
  ABOR |
  DELE |
  RMD |
  MKD |
  PWD |
  LIST |
  NLST |
  SITE |
  SYST |
  STATcmd |
  HELP |
  NOOP |
  NumCommands |

enum PFTP::DataChannelType

File transfer mode on data channel.

Enumerator:

  NormalPort |
  Passive |

enum PFTP::NameTypes

Listing types.

Enumerator:

  ShortNames |
  DetailedNames |

enum PFTP::RepresentationType

Types for file transfer.

Enumerator:

  ASCII |
  EBCDIC |
  Image |

## Constructor & Destructor Documentation

PFTP::PFTP | ( |  | ) | `[protected]`

Construct an ineternal File Transfer Protocol channel.

## Member Function Documentation

PBoolean PFTP::SendPORT | ( | const PIPSocket::Address & | addr,
|  | WORD | port |
| ) |  |  |

Send the PORT command for a transfer.

Returns:
  Boolean indicated PORT command was successful

Parameters:

  addr | Address for PORT connection. IP address to connect back to
  port | Port number for PORT connection.

The documentation for this class was generated from the following file:

- ftp.h